com.rscja.team.qcom.rs232utils

## Class UHFProtocolParseUrA4_qcom

- java.lang.Object
- - com.rscja.team.qcom.deviceapi.UHFProtocolParseByJava
  - - com.rscja.team.qcom.rs232utils.UHFProtocolParseUrAxBase_qcom
    - - com.rscja.team.qcom.rs232utils.UHFProtocolParseUrA4_qcom

- All Implemented Interfaces:
    IUHFProtocolParse

      public class UHFProtocolParseUrA4_qcom
      extends UHFProtocolParseUrAxBase_qcom

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UHFProtocolParseUrA4_qcom()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `parseSetA4GPIO01Data(byte[] inData)`
    `boolean` | `parseSetA4GPIO02Data(byte[] inData)`
    `boolean` | `parseSetA4GPIO03Data(byte[] inData)`
    `boolean` | `parseSetA4GPIO04Data(byte[] inData)`
    `boolean` | `parseSetA4GPIOWgData0Data(byte[] inData)`
    `boolean` | `parseSetA4GPIOWgData1Data(byte[] inData)`
    `byte[]` | `setA4GPIO01SendData(int on)`
    `byte[]` | `setA4GPIO02SendData(int on)`
    `byte[]` | `setA4GPIO03SendData(int on)`
    `byte[]` | `setA4GPIO04SendData(int on)`
    `byte[]` | `setA4GPIOWgData0SendData(int on)`
    `byte[]` | `setA4GPIOWgData1SendData(int on)`

    - ### Methods inherited from class com.rscja.team.qcom.rs232utils.UHFProtocolParseUrAxBase_qcom

      `closeUhfSendData, getAndroidDeviceHardwareVersionSendData, getAndroidDeviceRebootSendData, getAntSendData, getAntWorkTimeSendData, getAxGPIOInputStatusSendData, getBeepSendData, getEthernetIpAssignModeSendData, getEthernetIpConfigSendData, getEthernetIpv6ConfigSendData, getReaderBeepStatusSendData, getUHFCurrentIpConfigSendData, getUpgradeTcpServiceVersionSendData, getWifiInfoSendData, getWifiIpConfigSendData, getWifiIpv6ConfigSendData, openUhfSendData, openWifiSendData, outputOnAndOffSendData, parseA4GPIOInputStatusData, parseAndroidDeviceHardwareVersionData, parseAndroidDeviceRebootData, parseBeepData, parseCloseUhf, parseErrorCodeData, parseEthernetConfigInfoData, parseGetAntData, parseGetAntWorkTimeReceiveData, parseGetEthernetIpConfigData, parseGetEthernetIpv6ConfigResultData, parseGetReaderBeepStatusData, parseGetUpgradeTcpServiceVersionData, parseGetWifiIpConfigData, parseGetWifiIpv6ConfigResultData, parseOpenUhf, parseOpenWifiData, parseOutputOnAndOffData, parsePortData, parseReadMacData, parseSetAntBlinkData, parseSetAntData, parseSetAntWorkTimeReceiveData, parseSetBuzzeroffOfAndroidData, parseSetBuzzerOnOfAndroidData, parseSetEthernetDynamicResultData, parseStartUpgradeTcpServiceData, parseStartUpgradeUhfData, parseUHFCurrentIpConfigResultData, parseWifiConfigInfoData, parseWifiInfoData, readMacSendData, setAntBlinkSendData, setAntSendData, setAntWorkTimeSendData, setBuzzerOffOfAndroidSendData, setBuzzerOnOfAndroidSendData, setEthernetConfigInfoSendData, setEthernetDynamicSendData, setPortSendData, setPowerSendData, setWifiConfigInfoSendData, startUpgradeTcpServiceSendData, startUpgradeUhfSendData, writeMacSendData`

    - ### Methods inherited from class com.rscja.team.qcom.deviceapi.UHFProtocolParseByJava

      `barcodeScanTimeOutSend, blinkOfLedSendData, blockEraseDataSendData, blockWriteDataSendData, btDeleteAllTagToFlashSendData, btGetAllTagNumFromFlashSendData, btGetNewTagNumFromFlashSendData, btGetTagDataFromFlashSendData, closeLedSendData, enableBarcodeACK, GBTagLockSendData, generateLockCode, getBatterySendData, getCWSendData, getEPCTIDModeSendData, getFastIDSendData, getFrequencyModeSendData, getGen2SendData, getInstance, getInventorySingleTagSendData, getInventorySingleTagSendData, getKillSendData, getLockSendData, getParameterSendData, getPowerSendData, getProtocolSendData, getReaderAwaitSleepTimeSendData, getReadSendData, getReadTagSendData, getRFLinkSendData, getScanBarcodeInBlinkModeSendData, getScanBarcodeInTriggleModeSendData, getScanBarcodeSendData, getSetSoftResetSendData, getStartInventoryTagSendData, getStartInventoryTagSendData, getSTM32VersionSendData, getStopInventorySendData, getStopScanBarcodeInBlinkModeSendData, getStopScanBarcodeInTriggleModeSendData, getTagfocusSendData, getTemperatureSendData, getUserSettingSendData, getVersionSendData, getWriteSendData, isBarcodeDataContainSSIIDSend, isBarcodeDataContainTypeSend, makeSendData, openLedSendData, parseBarcodeData, parseBatteryData, parseBlinkOfLedData, parseBlockEraseDataData, parseBlockWriteData, parseBtDeleteAllTagToFlashData, parseBtGetAllTagNumFromFlashData, parseBtGetNewTagNumFromFlashData, parseBtGetTagDataFromFlashData, parseCloseLedData, parseContinuousInventoryTagData, parseContinuousInventoryTagData, parseFastIdData, parseGBTagLockData, parseGetCWData, parseGetEPCTIDModeData, parseGetFastIdData, parseGetFrequencyModeData, parseGetGen2Data, parseGetParameterData, parseGetPowerAllData, parseGetPowerData, parseGetProtocolData, parseGetReaderAwaitSleepTimeData, parseGetRFLinkData, parseGetTagfocusData, parseGetUserSettingData, parseInventorySingleTagData, parseisBarcodeDataContainSSIIDData, parseisBarcodeDataContainTypeData, parseisBarcodeScanTimeOutData, parseKillData, parseLockData, parseOpenLedData, parseReadData, parseReadTagData_EPC, parseReadTagDataEPC_TID_USER, parserUhfTagBuff_EPC_TID_USER, parserUhfTagBuff_EPC_TID_USER, parseScanBarcodeInBlinkModeData, parseScanBarcodeInTriggleModeData, parseSetBarcodeSSIDData, parseSetBarcodeTypeData, parseSetBeepTimeOfDuration, parseSetCWData, parseSetEPCAndTIDModeData, parseSetEPCAndTIDUserModeData, parseSetEPCModeData, parseSetFilterData, parseSetFrequencyModeData, parseSetGen2Data, parseSetJumpFrequencyData, parseSetParameterData, parseSetPowerData, parseSetPowerOnDynamicData, parseSetProtocolData, parseSetR6WorkModeData, parseSetReaderAwaitSleepTimeData, parseSetRFLinkData, parseSetSoftResetData, parseSetTagfocusData, parseSetUserSettingData, parseStartInventoryTagData, parseSTM32VersionData, parseStopInventoryData, parseStopScanBarcodeInBlinkModeData, parseStopScanBarcodeInTriggleModeData, parseTemperatureData, parseUHFJump2BootData, parseUHFStartUpdateData, parseUHFStopUpdateData, parseUHFUpdatingData, parseVersionData, parseWriteData, requestGetBeepSendData, requestGetEx10SDKFirmware, requestGetFastInventoryMode, requestInventoryTempTag, requestSetFastInventoryMode, responseGetEx10SDKFirmware, responseGetFastInventoryMode, responseSetFastInventoryMode, respparseBeepData, setBarcodeSSIID, setBarcodeType, setBeepTimeOfDurationSendData, setCWSendData, setEPCAndTIDModeSendData, setEPCAndTIDUserModeSendData, setEPCAndTIDUserModeSendData, setEPCModeSendData, setFastIdSendData, setFilterSendData, setFrequencyModeSendData, setGen2SendData, setIndexData, setInventoryMessageModeSendData, setJumpFrequencySendData, setParameterSendData, setPowerOnDynamicSendData, setPowerSendData, setProtocolSendData, setR6WorkmodeSendData, setReaderAwaitSleepTimeSendData, setRFLinkSendData, setTagfocusSendData, setUserSettingSendData, stop2DSendData, uhfJump2BootSendData, uhfStartUpdateSendData, UHFStopUpdateSendData, uhfUpdatingSendData`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UHFProtocolParseUrA4_qcom

          public UHFProtocolParseUrA4_qcom()

  - ### Method Detail

    - #### setA4GPIO01SendData

          public byte[] setA4GPIO01SendData(int on)

    - #### parseSetA4GPIO01Data

          public boolean parseSetA4GPIO01Data(byte[] inData)

    - #### setA4GPIO02SendData

          public byte[] setA4GPIO02SendData(int on)

    - #### parseSetA4GPIO02Data

          public boolean parseSetA4GPIO02Data(byte[] inData)

    - #### setA4GPIO03SendData

          public byte[] setA4GPIO03SendData(int on)

    - #### parseSetA4GPIO03Data

          public boolean parseSetA4GPIO03Data(byte[] inData)

    - #### setA4GPIO04SendData

          public byte[] setA4GPIO04SendData(int on)

    - #### parseSetA4GPIO04Data

          public boolean parseSetA4GPIO04Data(byte[] inData)

    - #### setA4GPIOWgData0SendData

          public byte[] setA4GPIOWgData0SendData(int on)

    - #### parseSetA4GPIOWgData0Data

          public boolean parseSetA4GPIOWgData0Data(byte[] inData)

    - #### setA4GPIOWgData1SendData

          public byte[] setA4GPIOWgData1SendData(int on)

    - #### parseSetA4GPIOWgData1Data

          public boolean parseSetA4GPIOWgData1Data(byte[] inData)